Replace a dashboard
PUT
https://api.coralogix.com/mgmt/openapi/5/dashboards/dashboards/v1Replaces an existing dashboard.
Requires the following permissions:
team-dashboards:Update
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Body
application/json
This is a request sent to update an existing dashboard with new information
accessPolicy#string
JSON string representing the access policy for this dashboard. Defines granular permissions for users and groups.
Possible values: <= 65536 characters, Value must match regular expression ^[\s\S]*$
Example:
{"version":"2025-01-01","default":{"permissions":{"team-dashboards:Read":"grant","team-dashboards:Update":"deny","team-dashboards:ReadAccessPolicy":"grant","team-dashboards:UpdateAccessPolicy":"deny"}},"rules":[]}Dashboard represents the structure and configuration of a Coralogix Custom Dashboard.
isLocked#boolean
The is locked.
requestId#stringrequired
Idempotency key for the replace request, used to prevent duplicate updates.
Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$
Response
application/json
This is a response received when the dashboard is successfully updated